package com.jeeplus.psimanage.psiWareHouse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.psimanage.psiWareHouse.domain.PsiWarehouseUpHi;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PsiWarehouseUpHiMapper extends BaseMapper<PsiWarehouseUpHi> {

    // 根据入库表id获取原数据 endFlag = '0'
    String getSourceData(String warehouseId);

    // 根据入库表id查询其全部历史修改数据
    List<PsiWarehouseUpHi> findHiById(String warehouseId);

    // 根据历史表id查询历史表数据
    PsiWarehouseUpHi findHiByHiId(String hiId);

    // 根据入库表id查询最近的一个修改历史
    PsiWarehouseUpHi findLastHiByid(String warehouseId);
}




